---
title: Retrieve a status report
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/getdomainreportstatus/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/getdomainreportstatus.png
---

# Retrieve a status report

GET

/installs/{install_id}/domains/check_status/{report_id}

Select code sample

```sh
curl --request GET \
  --url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/domains/check_status/6a6d5dbd-5cac-41d5-8f3f-14a3e8ae6f76 \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the status report with the given ID, as created by submitting a status report for a domain.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**install_id**

required

string

ID of install

#### Example

```
294deacc-d8b8-4005-82c4-0727ba8ddde0
```

**report_id**

required

string

ID of the status report

#### Example

```
6a6d5dbd-5cac-41d5-8f3f-14a3e8ae6f76
```

## Responses

### 200

Returns a `report` containing a `DomainStatusReport` object.

Media typeapplication/json

object

**report**

object

**complete**

The status of the report

boolean

**id**

The UUID of the report

string

**install_name**

Name of the install

string

**install_ip**

IP address for the install

string

**admin**

Admin status

boolean

**domains**

The list of domains associated with this report

Array\<object>

object

**name**

The domain name

string

**cname**

The CNAME of the domain

string

**a\_record**

The A record of the domain

string

**aaaa_record**

The AAAA record of the domain

string

**complete**

The status of the request to ping the domain

boolean

**result**

The result of the request to ping the domain

string

**dns_provider**

The DNS provider of the domain

string

**dns_error**

Indicates if there was an error retrieving DNS information

boolean

**install_name**

The name of the install

string

**cluster_id**

The cluster ID of the install

string

**http_forwarded**

The HTTP forwarded value of the domain

string

**http_forwarded_list**

The HTTP forwarded list of the domain

string

**http_error**

Indicates if there was an error retrieving HTTP information

boolean

**atlas_env_id**

Atlas environment ID associated with this domain

string

**ns**

The name servers of the domain

Array\<object>

object

**host**

Hostname of the name server

string

**mx**

Mail exchange record information

Array\<object>

object

**Host**

Hostname of the mail server

string

**Pref**

Priority of the mail server (lower values have higher priority)

integer

**txt**

TXT records for the domain

Array\<string>

**soa**

The start of authority records of the domain

Array\<object>

object

**hdr**

Header of the start of authority record

object

**ns**

Primary name server for the zone

string

**mbox**

Email address of the zone administrator (@ replaced with .)

string

**serial**

Zone file version number

integer

**refresh**

Time in seconds secondary servers wait before refreshing zone data

integer

**retry**

Time in seconds to wait before retrying failed zone transfers

integer

**expire**

Time in seconds zone data is valid without refreshing

integer

**minttl**

Minimum time-to-live in seconds for negative responses

integer

**caa**

The certification authority authorization records of the domain

Array\<object>

object

**hdr**

Header of the start of authority record

object

**flag**

The flags for the CAA record

integer

**tag**

The tag for the CAA record

string

**value**

The value for the CAA record

string

**ip**

The IP addresses of the domain

Array\<string>

**address**

The addresses of the domain

Array\<string>

**aname**

The A name records of the domain

Array\<object>

object

**hdr**

Header of the start of authority record

object

**a**

The A name record

string

**ssl**

The SSL information of the domain

object

**status**

Status of the SSL certificate

string

**issuer**

Certificate issuer name

string

**not_before**

Certificate validity start date

string

**not_after**

Certificate expiration date

string

**error**

Error message if certificate validation failed

string

**dns_names**

DNS names included in the certificate

Array\<string>

**serial_number**

Certificate serial number

string

**signature_algorithm**

Signature algorithm identifier used in the certificate

integer

**subject**

Certificate subject information

object

**common_name**

Common name in the certificate

string

**sans**

Subject Alternative Names in the certificate

Array\<string>

#### Example

```json
{
  "report": {
    "complete": true,
    "id": "6a6d5dbd-5cac-41d5-8f3f-14a3e8ae6f76",
    "admin": false,
    "domains": [
      {
        "complete": true,
        "dns_error": false,
        "http_error": false,
        "soa": [
          {
            "ns": "ns1.example.com",
            "mbox": "hostmaster.example.com"
          }
        ],
        "ip": [
          "192.0.2.10",
          "192.0.2.11"
        ],
        "address": [
          "192.0.2.10",
          "192.0.2.11"
        ],
        "ssl": {
          "status": "verified"
        }
      }
    ]
  }
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
